msegmentptr Struct Reference
Collaboration diagram for msegmentptr:
[legend]

## Data Fields

char * | base
size_t | size
struct malloc_segment * | next
flag_t | sflags

## Detailed Description

Definition at line 1966 of file SDL_malloc.c.

## Field Documentation

char* msegmentptr::base

Definition at line 1968 of file SDL_malloc.c.

Referenced by dlmallopt(), and release_unused_segments().

struct malloc_segment* msegmentptr::next

Definition at line 1970 of file SDL_malloc.c.

Referenced by release_unused_segments(), and sys_alloc().

flag_t msegmentptr::sflags

Definition at line 1971 of file SDL_malloc.c.

size_t msegmentptr::size

Definition at line 1969 of file SDL_malloc.c.

Referenced by sys_alloc().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c